/*
 * Copyright (c) 1995 by CompuServe Incorporated, Columbus, Ohio
 *
 * Facility:  ?
 *
 * Abstract:
 *
 *     ?
 *
 * Environment:  ?
 *
 * Author:  ?
 *
 * Revision History:
 *
 * 1.0  ?, ?
 *      - Initial revision
 */

#ifndef PIPE_H
#define PIPE_H

/*
 * External Interfaces
 */
#include <comdef.h>                  /* CompuServe definitions */

/*
 * Constants, structures, and typedefs
 */

/*
 * External data
 */

/*
 * Function prototypes
 */

#ifdef PIPE_WATCH
void Open_Debug_Pipe (char *pipe_command);
bool Debug_Pipe_Is_Open ();
void Write_To_Debug_Pipe (char *);
void Write_Bytes_To_Debug_Pipe (char *, int, char *);
void Close_Debug_Pipe ();

#else
#define Open_Debug_Pipe(x)
#define Debug_Pipe_Is_Open() FALSE
#define Write_To_Debug_Pipe(x)
#define Write_Bytes_To_Debug_Pipe(x,y,z)
#define Close_Debug_Pipe()

#endif

#endif
