#ifndef GET_TPAD_H
#define GET_TPAD_H

#define GET_TPAD_ERROR_NO_AVAILABLE_DEVICES -1

/*
 * get_tpad finds the first available tpad device.  It opens that device in
 * non-blocking mode.  It returns the file descripter of the device.  It
 * passes back the name of the device in its argument.  If a device could not
 * be found GET_TPAD_ERROR_NO_AVAILABLE_DEVICES is returned.  
 */

extern int get_tpad (char *);

#endif
